SET AUTOCOMMIT=0;
SET UNIQUE_CHECKS=0;
SET FOREIGN_KEY_CHECKS=0;

/*!40000 DROP DATABASE IF EXISTS `bing_box_goods_distribution`*/;

CREATE DATABASE /*!32312 IF NOT EXISTS*/ `bing_box_goods_distribution` /*!40100 DEFAULT CHARACTER SET utf8 */;

USE `bing_box_goods_distribution`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `gift_bag_grade` (
  `id` bigint(20) NOT NULL,
  `buy_time` datetime DEFAULT NULL,
  `buy_member_id` bigint(20) DEFAULT NULL,
  `buy_amount` decimal(20,2) DEFAULT NULL,
  `gift_bag_group_id` bigint(20) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;
set autocommit=0;
commit;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `gift_bag_group` (
  `id` bigint(20) NOT NULL,
  `group_name` varchar(50) DEFAULT NULL,
  `direct_push` bigint(20) DEFAULT '0',
  `interposition` bigint(10) DEFAULT NULL,
  `two_stage_inter_push` bigint(255) DEFAULT NULL,
  `grade_conditions` varchar(255) DEFAULT NULL,
  `purchase_amount` decimal(10,0) DEFAULT NULL,
  `integral` bigint(20) DEFAULT NULL,
  `caeate_time` datetime DEFAULT NULL,
  `update_time` datetime DEFAULT NULL,
  `deleted` int(1) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;
set autocommit=0;
INSERT INTO `gift_bag_group` VALUES (1,'普通用户',0,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL),(2,'白银用户',10,1000,NULL,NULL,NULL,NULL,NULL,NULL,NULL),(3,'黄金用户',20,2000,NULL,NULL,NULL,NULL,NULL,NULL,NULL),(4,'钻石用户',30,3000,NULL,NULL,NULL,NULL,NULL,NULL,NULL),(1599681032683249666,'荣耀王者',20000,10000,5000,'需要购买199礼包',799,NULL,NULL,NULL,NULL),(1599681280872800258,'荣耀王者',20000,10000,5000,'需要购买199礼包',799,NULL,NULL,NULL,NULL),(1599681602131320833,'荣耀王者',20000,10000,5000,'需要购买199礼包',799,NULL,NULL,NULL,NULL),(1599681606296264706,'荣耀王者',20000,10000,5000,'需要购买199礼包',799,NULL,NULL,NULL,NULL),(1599683532316467202,'荣耀王者',20000,10000,5000,'需要购买199礼包',799,NULL,NULL,NULL,NULL),(1599706878751997953,'荣耀王者',20000,10000,5000,'需要购买199礼包',799,NULL,NULL,NULL,NULL),(1599707232361185282,'荣耀王者',20000,10000,5000,'需要购买199礼包',799,NULL,NULL,NULL,NULL),(1599709888706146305,'荣耀王者',20000,10000,5000,'需要购买199礼包',799,NULL,NULL,NULL,NULL),(1599710867287601154,'荣耀王者',20000,10000,5000,'需要购买199礼包',799,NULL,NULL,NULL,NULL),(1599711064197591041,'荣耀王者',20000,10000,5000,'需要购买199礼包',799,NULL,NULL,NULL,NULL),(1599711069096538113,'荣耀王者',20000,10000,5000,'需要购买199礼包',799,NULL,NULL,NULL,NULL);
commit;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `grade_rule` (
  `id` bigint(20) NOT NULL,
  `grade_name` varchar(255) DEFAULT NULL,
  `direct_push` double(255,2) DEFAULT NULL,
  `interposition` double(255,2) DEFAULT NULL,
  `two_stage_inter_push` double(255,2) DEFAULT NULL,
  `rate` double(20,5) DEFAULT NULL,
  `condition_total` decimal(65,2) DEFAULT NULL,
  `one_reward` double(255,2) DEFAULT NULL,
  `two_reward` double(255,2) DEFAULT NULL,
  `three_reward` double(255,2) DEFAULT NULL,
  `service_rate` double(65,4) DEFAULT NULL,
  `order_eff` decimal(65,2) DEFAULT NULL,
  `grade_type` int(1) DEFAULT NULL,
  `img` varchar(255) DEFAULT NULL,
  `deleted` int(11) DEFAULT '0',
  `create_time` datetime DEFAULT NULL,
  `update_time` datetime DEFAULT NULL,
  `is_show` bigint(1) DEFAULT NULL COMMENT '0,显示 1，不显示',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;
set autocommit=0;
INSERT INTO `grade_rule` VALUES (1608362204414001154,'普通用户',0.00,0.00,0.00,0.95000,0.00,0.00,0.00,0.00,0.0085,1.50,0,'https://yuansheng-userapp.oss-cn-hangzhou.aliyuncs.com/test/goods/A4252286D889400CA5A0A936BAE07DC2.jpeg',0,NULL,NULL,0),(1608362641829576706,'白银vip',80.00,120.00,0.00,0.85000,2000000.00,0.00,0.00,0.00,0.0085,1.50,1,'https://yuansheng-userapp.oss-cn-hangzhou.aliyuncs.com/test/goods/C887A08588904E55944E457D2F80C0FF.jpeg',0,NULL,NULL,0),(1608826593554341890,'黄金vip',80.00,120.00,0.00,0.80000,20000000.00,0.00,0.00,0.00,0.0085,1.50,3,'https://yuansheng-userapp.oss-cn-hangzhou.aliyuncs.com/test/goods/FEAE54A2F3C44BBC8FD6130D84A6B62A.jpeg',0,NULL,NULL,0),(1608827209081036802,'钻石vip',80.00,120.00,0.00,0.75000,200000000.00,0.00,0.00,0.00,0.0085,1.50,4,'https://yuansheng-userapp.oss-cn-hangzhou.aliyuncs.com/test/goods/317B5DFF553042AD944CA9300AD089DD.jpeg',0,NULL,NULL,1);
commit;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `integral` (
  `id` bigint(20) NOT NULL,
  `member_id` bigint(20) DEFAULT NULL,
  `integral_channel_id` bigint(20) DEFAULT NULL,
  `integral` double(100,2) DEFAULT NULL,
  `create_time` bigint(20) DEFAULT NULL,
  `update_time` bigint(20) DEFAULT NULL,
  `integral_channel` int(1) DEFAULT NULL,
  `time` varchar(256) DEFAULT NULL,
  `subordinate_id` bigint(20) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;
set autocommit=0;
INSERT INTO `integral` VALUES (1628300501394685954,1628294495835090945,2,0.20,1677052066549,NULL,NULL,NULL,NULL),(1629920601399603202,1624328678550347777,2,0.30,1677438328488,NULL,NULL,NULL,NULL),(1630148065337978882,1624326590713896961,2,0.06,1677492560121,NULL,NULL,NULL,NULL),(1631489951289397249,1625837454528958465,2,0.32,1677812490646,NULL,NULL,NULL,NULL),(1631490369989988354,1625837454528958465,2,0.27,1677812590486,NULL,NULL,NULL,NULL),(1631499236148858882,1625837454528958465,2,0.24,1677814704343,NULL,NULL,NULL,NULL),(1632209072859688962,1624642250014793730,2,0.06,1677983942599,NULL,NULL,NULL,NULL),(1632210146291134465,1624642250014793730,2,0.14,1677984198529,NULL,NULL,NULL,NULL),(1632211006853263361,1624642250014793730,2,0.25,1677984403703,NULL,NULL,NULL,NULL),(1632211113677991937,1624642250014793730,2,0.17,1677984429172,NULL,NULL,NULL,NULL),(1632633453122027522,1624642250014793730,2,0.29,1678085122742,NULL,NULL,NULL,NULL),(1632633816034181122,1624642250014793730,2,0.17,1678085209269,NULL,NULL,NULL,NULL),(1633017223804690434,1624326590713896961,2,0.20,1678176620800,NULL,NULL,NULL,NULL),(1633034663259348993,1631808194512211970,2,0.16,1678180778694,NULL,NULL,NULL,NULL),(1633397637157310466,1625837454528958465,2,0.32,1678267318397,NULL,NULL,NULL,NULL),(1633400545315737601,1625837454528958465,2,0.11,1678268011773,NULL,NULL,NULL,NULL),(1633646176277975042,1632616578497560578,2,0.20,1678326574759,NULL,NULL,NULL,NULL),(1634941083844157442,1634936347791323138,2,0.31,1678635304777,NULL,NULL,NULL,NULL),(1634941332943872002,1634936347791323138,2,0.05,1678635364171,NULL,NULL,NULL,NULL),(1634941445133115394,1634936347791323138,2,0.21,1678635390919,NULL,NULL,NULL,NULL),(1635916039423860738,1625837454528958465,2,0.09,1678867752305,NULL,NULL,NULL,NULL),(1635916863810117634,1625837454528958465,2,0.04,1678867948854,NULL,NULL,NULL,NULL),(1635917032731516930,1625837454528958465,2,0.24,1678867989129,NULL,NULL,NULL,NULL),(1635917495283556353,1625837454528958465,2,0.07,1678868099409,NULL,NULL,NULL,NULL),(1635917726351958018,1625837454528958465,2,0.01,1678868154500,NULL,NULL,NULL,NULL),(1637269113052610561,1637104262774829057,2,0.29,1679190350191,NULL,NULL,NULL,NULL);
commit;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `level_group` (
  `id` bigint(20) NOT NULL,
  `group_name` varchar(255) DEFAULT NULL,
  `one_reward` bigint(20) DEFAULT NULL,
  `two_reward` bigint(20) DEFAULT NULL,
  `three_reward` bigint(20) DEFAULT NULL,
  `create_time` datetime DEFAULT NULL,
  `update_time` datetime DEFAULT NULL,
  `deleted` int(1) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;
set autocommit=0;
commit;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `member` (
  `id` tinyint(20) NOT NULL,
  `real_name` varchar(255) DEFAULT NULL,
  `mobile` varchar(255) DEFAULT NULL,
  `agent_id` bigint(20) DEFAULT NULL,
  `son_id` bigint(20) DEFAULT NULL,
  `gift_bag_group_id` bigint(20) DEFAULT NULL,
  `rate_group_id` bigint(20) DEFAULT NULL,
  `level_group_id` bigint(20) DEFAULT NULL,
  `code` varchar(255) DEFAULT NULL,
  `level_reward_credit` bigint(20) DEFAULT NULL,
  `rate_difference_credit` bigint(20) DEFAULT NULL,
  `sum_credit` bigint(20) DEFAULT NULL,
  `sum_account` decimal(20,2) DEFAULT NULL,
  `agent_num` int(20) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;
set autocommit=0;
commit;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `member_grade` (
  `id` bigint(20) NOT NULL,
  `member_id` bigint(20) DEFAULT NULL,
  `member_grade_id` bigint(20) DEFAULT NULL,
  `grade_name` varchar(255) DEFAULT NULL,
  `grade_time` datetime DEFAULT NULL,
  `grade_sid` int(11) DEFAULT NULL,
  `grade_mode` varchar(255) DEFAULT NULL,
  `gift_bag_group_id` bigint(20) DEFAULT NULL,
  `Level_group_id` bigint(20) DEFAULT NULL,
  `rate_group_id` bigint(20) DEFAULT NULL,
  `create_time` bigint(20) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;
set autocommit=0;
INSERT INTO `member_grade` VALUES (2,1626389052334362626,1608827209081036802,'钻石vip','2023-02-21 15:30:53',4,NULL,NULL,NULL,NULL,NULL),(3,1625837454528958465,1608827209081036802,'钻石vip','2023-02-21 15:31:54',4,NULL,NULL,NULL,NULL,NULL),(4,1633486831657492482,1608827209081036802,'钻石vip','2023-03-09 20:22:24',4,NULL,NULL,NULL,NULL,NULL),(5,1634936347791323138,1608827209081036802,'钻石vip','2023-03-15 13:25:21',4,NULL,NULL,NULL,NULL,NULL),(6,1624642250014793730,1608827209081036802,'钻石vip','2023-03-17 15:44:49',4,NULL,NULL,NULL,NULL,NULL),(7,1630158012473905154,1608827209081036802,'钻石vip','2023-03-18 20:49:30',4,NULL,NULL,NULL,NULL,NULL),(8,1637104262774829057,1608362641829576706,'白银vip','2023-03-18 23:07:48',1,NULL,NULL,NULL,NULL,NULL),(9,1625103768359608322,1608827209081036802,'钻石vip','2023-03-18 23:54:19',4,NULL,NULL,NULL,NULL,NULL),(1637311757325713410,1632775150119735298,1608362641829576706,'白银vip','1970-01-20 18:26:41',NULL,NULL,NULL,NULL,NULL,NULL);
commit;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `member_relation` (
  `id` bigint(20) NOT NULL,
  `member_id` bigint(20) DEFAULT NULL,
  `agent_id` bigint(20) DEFAULT NULL,
  `level` int(20) DEFAULT NULL,
  `create_time` bigint(20) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;
set autocommit=0;
INSERT INTO `member_relation` VALUES (1,1626389052334362626,1624326590713896961,1,1676964030),(2,1625837454528958465,1626389052334362626,1,1676964030),(3,1625837454528958465,1624326590713896961,2,1676964030),(4,1626134403035516929,1625837454528958465,1,1676964030),(6,1626134403035516929,1626389052334362626,2,1676964030),(7,1626134403035516929,1624326590713896961,3,1676988340913),(8,1627995261722259457,1624326590713896961,3,1676988340913),(9,1628006952220585986,1624326590713896961,3,1676988340913),(1627995262355537921,1627995261722259457,1625837454528958465,1,1676979291889),(1627995266059108353,1627995261722259457,1626389052334362626,2,1676979292774),(1628006952648343553,1628006952220585986,1625837454528958465,1,1676982079074),(1628006953130688514,1628006952220585986,1626389052334362626,2,1676982079190),(1628033216717291522,1628033216386002946,1624684239045337089,1,1676988340913),(1628195238369067009,1628195237987446786,1625837454528958465,1,1677026969886),(1628195238868189185,1628195237987446786,1626389052334362626,2,1677026970007),(1630157044726280193,1630157044407570434,1630146606608703490,1,1677494700977),(1630157969653534721,1630158012473905154,1630157044407570434,1,1677494921492),(1630157969917775874,1630158012473905154,1630146606608703490,2,1677494921556),(1635244384808673282,1635242514871111681,1634936347791323138,1,1678707617364),(1635557597542686721,1635557597240750082,1624642250014793730,1,1678782293100),(1635880724319510530,1635880723937882114,1624333890673516545,1,1678859332527),(1635881309441695746,1635881309190090754,1624333890673516545,1,1678859472032),(1635894300413337601,1635894300098818050,1624642250014793730,1,1678862569320),(1635913292670640130,1635913292322566145,1632775150119735298,1,1678867097426),(1635986075396153346,1635986074909667329,1624642250014793730,1,1678884450180),(1636260043520811010,1636258205292294145,1624326590713896961,1,1678949769273),(1636382959516327937,1636382959071784962,1624326590713896961,1,1678979074730),(1636712055492386817,1636712055127535617,1635162009806434306,1,1679057537325),(1636753263761629185,1636753263434526721,1624642250014793730,1,1679067362142),(1636754933933481986,1636754933673488386,1636753263434526721,1,1679067760342),(1636754934101254145,1636754933673488386,1624642250014793730,2,1679067760383),(1636896139002847233,1636896138558304257,1635162009806434306,1,1679101426254),(1637048105158909954,1637048104806641665,1635162009806434306,1,1679137657809),(1637104264377024513,1637104262774829057,1624642250014793730,1,1679151047195),(1637296691524157442,1637296691100561410,1625103768359608322,1,1679196925416),(1637299994131709953,1637299993783611394,1624326590713896961,1,1679197712819),(1637315605486387202,1637315605113122817,1635162009806434306,1,1679201434857),(1637747995157479425,1637747994813575170,1624642250014793730,1,1679304524587),(1637748411224047618,1637748410938863617,1634147676980846594,1,1679304623783),(1637748461849296898,1637748461543141377,1637747994813575170,1,1679304635855),(1637748462008680449,1637748461543141377,1624642250014793730,2,1679304635894),(1637748528505176066,1637748528278712322,1637747994813575170,1,1679304651748),(1637748528639393794,1637748528278712322,1624642250014793730,2,1679304651780),(1640708049394089985,1640708048907657218,1624642250014793730,1,1680010256511),(1640708478198759425,1640708478064648194,1632775150119735298,1,1680010358751),(1641713307171229697,1641713306550476801,1630157044407570400,1,1680249928627);
commit;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `rate_group` (
  `id` bigint(20) NOT NULL,
  `group_name` varchar(255) DEFAULT NULL,
  `rate` decimal(10,2) DEFAULT NULL,
  `rate_conditions` varchar(255) DEFAULT NULL,
  `creat_time` datetime DEFAULT NULL,
  `update_time` datetime DEFAULT NULL,
  `deleted` int(1) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;
set autocommit=0;
commit;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `short_url` (
  `id` bigint(20) NOT NULL,
  `url` varchar(255) DEFAULT NULL,
  `su` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  KEY `index_short_url` (`id`,`url`,`su`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT;
/*!40101 SET character_set_client = @saved_cs_client */;
set autocommit=0;
INSERT INTO `short_url` VALUES (1622426352177348609,'/poster.html-member_id=\"memberId1603417434667339777&agent_code2af069','Qrqmqe');
commit;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `undo_log` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT 'increment id',
  `branch_id` bigint(20) NOT NULL COMMENT 'branch transaction id',
  `xid` varchar(100) NOT NULL COMMENT 'global transaction id',
  `context` varchar(128) NOT NULL COMMENT 'undo_log context,such as serialization',
  `rollback_info` longblob NOT NULL COMMENT 'rollback info',
  `log_status` int(11) NOT NULL COMMENT '0:normal status,1:defense status',
  `log_created` datetime NOT NULL COMMENT 'create datetime',
  `log_modified` datetime NOT NULL COMMENT 'modify datetime',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE KEY `ux_undo_log` (`xid`,`branch_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='AT transaction mode undo table';
/*!40101 SET character_set_client = @saved_cs_client */;
set autocommit=0;
commit;
SET AUTOCOMMIT=1;
SET UNIQUE_CHECKS=1;
SET FOREIGN_KEY_CHECKS=1;
