#!/usr/bin/env bash


export docker_compose_ver='1.21.2'
export data_root=/data/dbs

wget https://mirrors.aliyun.com/docker-toolbox/linux/compose/${docker_compose_ver}/docker-compose-`uname -s`-`uname -m` -o /usr/local/bin/docker-compose
chmod +x /usr/local/bin/docker-compose


mkdir -p ${data_root}/elasticsearch && chown 1000.1000 ${data_root}/elasticsearch -R

yum -y install mysql

docker-compose up -d

cd sql && bash ./import.sh
